org.red5.logging

## Class W3CAppender

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.UnsynchronizedAppenderBase<E>
    - - ch.qos.logback.core.OutputStreamAppender<E>
      - - ch.qos.logback.core.FileAppender<ch.qos.logback.classic.spi.LoggingEvent>
        - - org.red5.logging.W3CAppender

All Implemented Interfaces:
  ch.qos.logback.core.Appender<ch.qos.logback.classic.spi.LoggingEvent>, ch.qos.logback.core.spi.ContextAware, ch.qos.logback.core.spi.FilterAttachable<ch.qos.logback.classic.spi.LoggingEvent>, ch.qos.logback.core.spi.LifeCycle

    public class W3CAppender
    extends ch.qos.logback.core.FileAppender<ch.qos.logback.classic.spi.LoggingEvent>

Logback appender for the Extended W3C format.

Author:
  Paul Gregoire (mondain@gmail.com)
See Also:
  "http://www.w3.org/TR/WD-logfile.html"

### Property Summary

### Properties inherited from class ch.qos.logback.core.FileAppender

`rawFileProperty`

### Field Summary

### Fields inherited from class ch.qos.logback.core.FileAppender

`append, fileName`

### Fields inherited from class ch.qos.logback.core.OutputStreamAppender

`encoder, lock`

### Fields inherited from class ch.qos.logback.core.UnsynchronizedAppenderBase

`name, started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`W3CAppender()`

### Method Summary

Methods
`void` `doAppend(ch.qos.logback.classic.spi.LoggingEvent event)`
`String` `getEvents()`
`String` `getFields()`
`void` `setEvents(String events)`
`void` `setFields(String fields)`

### Methods inherited from class ch.qos.logback.core.FileAppender

`getFile, isAppend, isPrudent, openFile, rawFileProperty, setAppend, setFile, setPrudent, start, writeOut`

### Methods inherited from class ch.qos.logback.core.OutputStreamAppender

`append, closeOutputStream, getEncoder, getOutputStream, setEncoder, setLayout, setOutputStream, stop, subAppend`

### Methods inherited from class ch.qos.logback.core.UnsynchronizedAppenderBase

`addFilter, clearAllFilters, getCopyOfAttachedFiltersList, getFilterChainDecision, getName, isStarted, setName, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Constructor Detail

#### W3CAppender

    public W3CAppender()

### Method Detail

#### setEvents

    public void setEvents(String events)

#### getEvents

    public String getEvents()

#### setFields

    public void setFields(String fields)

#### getFields

    public String getFields()

#### doAppend

    public void doAppend(ch.qos.logback.classic.spi.LoggingEvent event)

Specified by:
  `doAppend` in interface `ch.qos.logback.core.Appender<ch.qos.logback.classic.spi.LoggingEvent>`
Overrides:
  `doAppend` in class `ch.qos.logback.core.UnsynchronizedAppenderBase<ch.qos.logback.classic.spi.LoggingEvent>`